package com.ruoyi.finance.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.util.Date;
import java.util.List;

public class TWareHouseFees {

    /**
     * 客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name
     */
    @Excel(name = "客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name")
    private Long fCorpid;

    /**
     * 结算客户名称,t_corps 中的no或 name，模糊查找选择后，存储id，显示name
     */
    @Excel(name = "客户名称,t_corps 中的no或 name，模糊查找选择后，存储id，显示name")
    private Long fToCorpid;

    /**
     * 提单号
     */
    @Excel(name = "提单号")
    private String fMblno;

    /**
     * 收、付,D:收 C 付
     */
    @Excel(name = "收、付,D:收 C 付")
    private String fDc;

    /**
     * 费用名称,存储id 显示名称,t_fees 中的no或 name，模糊查找选择后，存储f_id，显示name
     */
    @Excel(name = "费用名称,存储id 显示名称,t_fees 中的no或 name，模糊查找选择后，存储f_id，显示name")
    private Long[] fFeeid;

    /**
     * 入（出）库日期
     */
    @Excel(name = "入", readConverterExp = "出=")
    private Date fBsdate;

    /**
     * 账单日期(审批流结束后更新)
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "账单日期(审批流结束后更新)", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fAccbilldate;

    /**
     * 对账单号
     */
    @Excel(name = "对账单号")
    private String fStatementNo;


    /**
     *  是否对账 0 否 1 是 ; 结算状态 0 未收 1 全部
     */
    @Excel(name = "对账")
    private String fReconciliation;

    /**
     *   费用状态
     */
    @Excel(name = "费用状态")
    private String fBillstatus;

    /**
     * 唛头
     */
    @Excel(name = "唛头")
    private String fMarks;

    /** 明细品名合计 */
    @Excel(name = "明细品名合计")
    private String fProductName;

    /** 业务类型(存汉字的，用来区别 如: 来车提货,出库装箱  区别) */
    @Excel(name = "业务类型(存汉字的，用来区别 如: 来车提货,出库装箱  区别)")
    private Long []  fBusinessType;

    /**
     * 单据类型(数据字典)SJRK（入库） SJCK（实际出库） CKDB（调拨） HQZY（货权转移）
     */
    @Excel(name = "单据类型(数据字典)SJRK", readConverterExp = "入=库")
    private String fBilltype;

    /**
     * 查询时间区间 审核日期
     */
    private List<String> timeExamine;

    public List<String> getTimeExamine() {
        return timeExamine;
    }

    public void setTimeExamine(List<String> timeExamine) {
        this.timeExamine = timeExamine;
    }


    /**
     * 查询时间区间 对账日期
     */
    private List<String> timeReconci;

    public List<String> getTimeReconci() {
        return timeReconci;
    }

    public void setTimeReconci(List<String> timeReconci) {
        this.timeReconci = timeReconci;
    }

    /**
     * 查询时间区间 入（出）库日期
     */
    private List<String> timeInterval;
    public void settimeInterval(List<String> timeInterval) {
        this.timeInterval = timeInterval;
    }
    public List<String> gettimeInterval() {
        return timeInterval;
    }


    public String getfMarks() {
        return fMarks;
    }

    public void setfMarks(String fMarks) {
        this.fMarks = fMarks;
    }

    public String getfBillstatus() {
        return fBillstatus;
    }

    public void setfBillstatus(String fBillstatus) {
        this.fBillstatus = fBillstatus;
    }

    public String getfProductName() {
        return fProductName;
    }

    public void setfProductName(String fProductName) {
        this.fProductName = fProductName;
    }

    public String getfStatementNo() {
        return fStatementNo;
    }

    public void setfStatementNo(String fStatementNo) {
        this.fStatementNo = fStatementNo;
    }

    public Long getfCorpid() {
        return fCorpid;
    }

    public void setfCorpid(Long fCorpid) {
        this.fCorpid = fCorpid;
    }

    public Long getfToCorpid() {
        return fToCorpid;
    }

    public void setfToCorpid(Long fToCorpid) {
        this.fToCorpid = fToCorpid;
    }

    public String getfMblno() {
        return fMblno;
    }

    public void setfMblno(String fMblno) {
        this.fMblno = fMblno;
    }

    public String getfDc() {
        return fDc;
    }

    public void setfDc(String fDc) {
        this.fDc = fDc;
    }

    public Long[] getfFeeid() {
        return fFeeid;
    }

    public void setfFeeid(Long[] fFeeid) {
        this.fFeeid = fFeeid;
    }

    public Date getfBsdate() {
        return fBsdate;
    }

    public void setfBsdate(Date fBsdate) {
        this.fBsdate = fBsdate;
    }

    public Date getfAccbilldate() {
        return fAccbilldate;
    }

    public void setfAccbilldate(Date fAccbilldate) {
        this.fAccbilldate = fAccbilldate;
    }

    public String getfReconciliation() {
        return fReconciliation;
    }

    public void setfReconciliation(String fReconciliation) {
        this.fReconciliation = fReconciliation;
    }

    public Long[] getfBusinessType() {
        return fBusinessType;
    }

    public void setfBusinessType(Long[] fBusinessType) {
        this.fBusinessType = fBusinessType;
    }

    public String getfBilltype() {
        return fBilltype;
    }

    public void setfBilltype(String fBilltype) {
        this.fBilltype = fBilltype;
    }
}
